aboutsummaryrefslogtreecommitdiff
path: root/admin/getmaintdependees
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2026-08-29 20:06:44 -0400
committerB. Watson <urchlay@slackware.uk>2026-08-29 20:06:44 -0400
commit55504fefce3078ac683b85508fa8af9e4d1b2059 (patch)
treee5590710b084f84520cfcce5f421403ea5a54132 /admin/getmaintdependees
parent8a78cfe513eb112585a5c5660fcbeb7cb3c58719 (diff)
downloadsbostuff-55504fefce3078ac683b85508fa8af9e4d1b2059.tar.gz
admin/*: added.
Diffstat (limited to 'admin/getmaintdependees')
-rwxr-xr-xadmin/getmaintdependees58
1 files changed, 58 insertions, 0 deletions
diff --git a/admin/getmaintdependees b/admin/getmaintdependees
new file mode 100755
index 0000000..3fc31e1
--- /dev/null
+++ b/admin/getmaintdependees
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# dependees maintained by the same maintainer are listed without
+# name/email. only "external" dependees (ones maintained by someone else)
+# have the name/email displayed.
+
+EES=ees
+if [ "$( basename $0 )" = "getmaintreqs" ]; then
+ REV=-r
+ EES=encies
+fi
+
+source ~/sbostuff/sbostuff.sh
+
+##if [ "$1" = "-b" ]; then
+## shift
+## builds="$1"
+## cdsb $builds && maint="$( source ./*.info && echo $MAINTAINER )"
+## shift
+## if [ "$*" ]; then
+## echo "$( basename $0 ): -b only allows one build" 1>&2
+## exit 1
+## fi
+##else
+## maint="$*"
+## builds="$( getmaintbuilds "$@" )"
+##fi
+
+maint="$*"
+builds="$( getmaintbuilds "$@" )"
+
+for i in $builds; do
+ set $( hoorex -m $REV $i )
+ if [ "$2" ]; then
+ echo -n "$1"
+ shift
+ echo -n ": "
+ can_orphan=yes
+ for j in "$@"; do
+ echo -n "$j "
+ cdsb $j
+ source ./$j.info
+ if [ "$MAINTAINER" != "$maint" -a "$EMAIL" != "NOEMAIL" ]; then
+ can_orphan=no
+ echo -n "('$MAINTAINER' $EMAIL) "
+ fi
+ done
+ echo
+ [ "$can_orphan" = "yes" ] && orphanable+="$i "
+ else
+ orphanable+="$1 "
+ fi
+done
+
+if [ "$orphanable" != "" ]; then
+ echo "These have no depend$EES by other maintainers:"
+ echo "$orphanable"
+fi